### Signal

# Panel Grid::create-frame

#### Declaration

    PanelFrame*
    create_frame (
      PanelGrid* self,
      gpointer user_data
    )

#### Description [src]

The “create-frame” signal is used to create a new frame within the grid.

Consumers of this signal are required to return an unrooted `PanelFrame` from this signal. The first signal handler wins.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Returns: | `PanelFrame`
| An unrooted `PanelFrame`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.